
#ifndef inifile_h
#define inifile_h

typedef struct {
  int BGColor;
  bool DateShow;
  int DateOfsX,DateOfsY;
  bool AMPMShow;
  int AMPMOfsX,AMPMOfsY;
  bool HourMinutsShow;
  char HourMinutsFormat[64];
  int HourMinutsOfsX,HourMinutsOfsY;
  bool SecondShow;
  char SecondFormat[64];
  int SecondOfsX,SecondOfsY;
  bool TemperatureShow;
  char TemperatureFormat[64];
  int TemperatureOfsX,TemperatureOfsY;
} TiniClockPlugin;

typedef struct {
  TiniClockPlugin ClockPlugin;
} TGlobalINI;

extern TGlobalINI GlobalINI;

extern void InitINI(void);
extern void LoadINI(char *data,int size);

#endif


