unit MainWin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TForm1 = class(TForm)
    bindlg: TOpenDialog;
    procedure FormCreate(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

const HT:char=char($09);
const CR:char=char($0d);
const LF:char=char($0a);
const SP:char=char($20);
const CRLF:string=char($0d)+char($0a);

const flstcount=6;

var
  StartPath:string;
  flst:array[0..flstcount-1] of string;

procedure TForm1.FormCreate(Sender: TObject);
var
  fofs:array[0..flstcount-1] of dword;
  wfs:TFileStream;
  path:string;
  idx:integer;
  binfn:string;
  procedure store(fn:string);
  var
    rfs:TFileStream;
    buf:array of byte;
  begin
    fn:=path+fn;
    if FileExists(fn)=False then begin
      ShowMessage('file not found.'+CRLF+fn);
      exit;
    end;

    fofs[idx]:=wfs.Position;
    
    rfs:=TFileStream.Create(fn,fmOpenRead);
    setlength(buf,rfs.Size);
    rfs.ReadBuffer(buf[0],rfs.Size);
    wfs.WriteBuffer(buf[0],rfs.Size);
    rfs.Free;
  end;
begin
  StartPath:=extractfilepath(Application.ExeName);

  flst[0]:='ampm.b15.bin';
  flst[1]:='bg.b15.bin';
  flst[2]:='date.b15.bin';
  flst[3]:='digibig.b15.bin';
  flst[4]:='digismall.b15.bin';
  flst[5]:='temperature.b15.bin';

  if bindlg.Execute=False then begin
    Application.Terminate;
    exit;
  end;

  path:=extractfilepath(bindlg.FileName);

  binfn:=StartPath+'clk_custom.bin';

  wfs:=TFileStream.Create(binfn,fmCreate);

  for idx:=0 to flstcount-1 do begin
    fofs[idx]:=0;
  end;

  wfs.Size:=flstcount*4;
  wfs.Position:=wfs.Size;

  for idx:=0 to flstcount-1 do begin
    store(flst[idx]);
  end;

  wfs.Position:=0;

  for idx:=0 to flstcount-1 do begin
    wfs.WriteBuffer(fofs[idx],4);
  end;

  wfs.Free;

  ShowMessage('Packed skin binary file created.'+CRLF+binfn);

  Application.Terminate;
end;

end.
